List products
curl --request GET \
--url https://api.withconvexity.com/v1/products \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Products retrieved successfully",
"data": {
"data": [
{
"id": 1,
"slug": "wallet-as-a-service",
"name": "Wallet as a Service",
"description": "Programmable wallets for your customers.",
"planId": "plan_basic",
"capabilities": [
"wallet.create",
"wallet.transfer"
],
"metadata": {
"tier": "standard"
},
"status": "active",
"createdBy": "usr_4f2c9a",
"deletedAt": null,
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-02-01T12:30:00.000Z"
},
{
"id": 2,
"slug": "payments-gateway",
"name": "Payments Gateway",
"description": "Accept and settle card and bank payments.",
"planId": "plan_growth",
"capabilities": [
"payment.charge",
"payment.refund",
"payout.create"
],
"metadata": {
"tier": "premium",
"region": "NG"
},
"status": "active",
"createdBy": "usr_4f2c9a",
"deletedAt": null,
"createdAt": "2026-01-20T09:15:00.000Z",
"updatedAt": "2026-03-05T08:45:00.000Z"
}
],
"meta": {
"totalPages": 1,
"page": 1,
"limit": 20,
"total": 2
}
}
}Products
List products
Returns a paginated list of active products.
GET
/
v1
/
products
List products
curl --request GET \
--url https://api.withconvexity.com/v1/products \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Products retrieved successfully",
"data": {
"data": [
{
"id": 1,
"slug": "wallet-as-a-service",
"name": "Wallet as a Service",
"description": "Programmable wallets for your customers.",
"planId": "plan_basic",
"capabilities": [
"wallet.create",
"wallet.transfer"
],
"metadata": {
"tier": "standard"
},
"status": "active",
"createdBy": "usr_4f2c9a",
"deletedAt": null,
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-02-01T12:30:00.000Z"
},
{
"id": 2,
"slug": "payments-gateway",
"name": "Payments Gateway",
"description": "Accept and settle card and bank payments.",
"planId": "plan_growth",
"capabilities": [
"payment.charge",
"payment.refund",
"payout.create"
],
"metadata": {
"tier": "premium",
"region": "NG"
},
"status": "active",
"createdBy": "usr_4f2c9a",
"deletedAt": null,
"createdAt": "2026-01-20T09:15:00.000Z",
"updatedAt": "2026-03-05T08:45:00.000Z"
}
],
"meta": {
"totalPages": 1,
"page": 1,
"limit": 20,
"total": 2
}
}
}⌘I
